#
# spec file for package heroes-tron
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           heroes-tron
BuildRequires:  SDL_mixer-devel
BuildRequires:  autoconf >= 2.68
BuildRequires:  automake
BuildRequires:  xorg-x11
%define myname heroes
%define data_version 1.5
PreReq:         %install_info_prereq
Version:        0.21
Release:        bp156.3.6
Source0:        %{myname}-%{version}.tar.bz2
Source1:        %{myname}-data-%{data_version}.tar.bz2  
Source2:        %{myname}-sound-effects-1.0.tar.bz2  
Source3:        %{myname}-sound-tracks-1.0.tar.bz2
Patch:          %{myname}-%{version}.diff
Patch1:         %{myname}-%{version}-menus.diff
Patch2:         %{myname}-%{version}-gcc4.diff
Patch3:         %{myname}-%{version}-gcc_warning.diff 
Patch4:         heroes-build-fixes.patch 
Patch5:         automake-1.12.patch
Patch6:         heroes-bigendian.patch
Url:            http://heroes.sourceforge.net/download.html
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Game Like Tron and Nibbles Games
License:        GPL-2.0+
Group:          Amusements/Games/Action/Race

%description
Heroes is similar to the "Tron" and "Nibbles" games of yore, but
includes many graphical improvements and new game features.  In it, you
must maneuver a small vehicle around a world and collect powerups while
avoiding obstacles, your opponents' trails, and even your own trail.
Several modes of play are available, including "get-all-the-bonuses",
death match, and "squish-the-pedestrians".

%prep
%setup -q -n %{myname}-%{version} -b 1 -b 2 -b 3
%patch
%patch1
%patch2 -p1
%patch3
%patch4
%patch5 -p1
%patch6 -p1

%build 
%define sharedir %{_prefix}/share
%define datadir  %{sharedir}/games
autoreconf -fiv
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
		--datadir=%{datadir} \
		--prefix=%{_prefix} \
		--mandir=%{sharedir}/man \
		--infodir=%{sharedir}/info \
		--bindir=%{_bindir} \
		--without-ggi \
		--without-gii \
		--without-mikmod \
		--with-sdl \
		--with-sdl-mixer \
		--disable-joystick 
make %{?_smp_mflags}
cd ../%{myname}-data-%{data_version}
./configure \
		--prefix=%{_prefix} \
		--datadir=%{datadir} 
make %{?_smp_mflags}
cd ../%{myname}-sound-effects-1.0
./configure \
		--prefix=%{_prefix} \
		--datadir=%{datadir}
make %{?_smp_mflags}
cd ../%{myname}-sound-tracks-1.0
./configure \
                --prefix=%{_prefix} \
		--datadir=%{datadir}     
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
#mv $RPM_BUILD_ROOT%{datadir}/locale $RPM_BUILD_ROOT%{sharedir}/locale
pushd ../%{myname}-data-%{data_version}
make DESTDIR=$RPM_BUILD_ROOT install
popd
pushd ../%{myname}-sound-effects-1.0 
make DESTDIR=$RPM_BUILD_ROOT install
popd
pushd ../%{myname}-sound-tracks-1.0 
make DESTDIR=$RPM_BUILD_ROOT install
popd
%find_lang heroes

%post
%install_info --info-dir=%{_infodir} %{_infodir}/heroes.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/heroes.info.gz

%files -f heroes.lang 
%defattr(-, root, root)
%doc COPYING NEWS README THANKS TODO AUTHORS 	 
%{_bindir}/heroes
%{_bindir}/heroeslvl
%{sharedir}/info/heroes.info*
%{sharedir}/man/man6/heroes.6*
%{sharedir}/man/man6/heroeslvl.6*
#%{sharedir}/heroes
%{datadir}/heroes

%changelog
* Wed Feb  8 2017 kukuk@suse.de
- Move from /usr/games to /usr/bin as done with the rest 4 years ago
* Wed Oct 10 2012 dvaleev@suse.com
- Use __swabX from linux/swab.h instead of __arch_swabX
* Tue May 29 2012 puzel@suse.com
- fix build with automake-1.12
  - add: automake-1.12.patch
* Mon Dec 26 2011 jengelh@medozas.de
- Remove redundant tags/sections
- Parallel build with %%_smp_mflags
- Add missing make calls
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sat Sep  3 2011 crrodriguez@opensuse.org
- Fix build with no-add-needed
* Thu Sep 17 2009 crrodriguez@suse.de
- use find_lang macro
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Sep 26 2005 lmichnovic@suse.cz
- fixed no return value from function
* Wed Sep 21 2005 lmichnovic@suse.cz
- fixed gcc warning
* Thu Apr 28 2005 ltinkl@suse.cz
- build with gcc4
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Wed May 28 2003 ro@suse.de
- add heroeslvl and man-page to filelist
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Mar 17 2003 tcrhak@suse.cz
- fixed a bug in a menu that caused segfaults
  (patch menus)
* Fri Feb 14 2003 tcrhak@suse.cz
- added install_info macros
* Sat Apr 20 2002 ro@suse.de
- fixed changelog
* Fri Apr 19 2002 tcrhak@suse.cz
- fixed locales (bug #1576)
* Thu Mar 21 2002 tcrhak@suse.cz
- fixed filelist:
  moved locales to /usr/share/local
  moved binary to /usr/games and renamed back to heroes
  do own heroes' directories under /usr/share/games
* Tue Feb  5 2002 ro@suse.de
- use SDL-devel-packages  and SDL_mixer-packages in neededforbuild
* Fri Feb  1 2002 tcrhak@suse.cz
- update to version 0.17 and heroes-data to version 1.4
* Tue Jan 22 2002 ro@suse.de
- changed neededforbuild <kdelibs-artsd> to <kdelibs3-artsd>
* Fri Sep 21 2001 adostal@suse.cz
- fix info pages in %%file section
* Wed Aug  8 2001 ro@suse.de
- changed neededforbuild <kdelibs> to <kdelibs-artsd>
* Wed Aug  8 2001 ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Mon Aug  6 2001 adostal@suse.cz
- update to version 0.12
* Wed Jun 20 2001 adostal@suse.cz
- fix neededforbuild
* Fri Jun  1 2001 adostal@suse.cz
- creation a new package
